Defines | Functions

# UsbCdc.h File Reference

For more information on this file please refer to Programmer’s Guide: MSP430 USB API Stack for CDC/HID http://focus.ti.com/docs/prod/folders/print/msp430f5529.html#toolssoftware. More...

Go to the source code of this file.

## Defines
#define | kUSBCDC_sendStarted 0x01
#define | kUSBCDC_sendComplete 0x02
#define | kUSBCDC_intfBusyError 0x03
#define | kUSBCDC_receiveStarted 0x04
#define | kUSBCDC_receiveCompleted 0x05
#define | kUSBCDC_receiveInProgress 0x06
#define | kUSBCDC_generalError 0x07
#define | kUSBCDC_busNotAvailable 0x08
#define | kUSBCDC_noDataWaiting 1
#define | kUSBCDC_waitingForSend 0x01
#define | kUSBCDC_waitingForReceive 0x02
#define | kUSBCDC_dataWaiting 0x04
#define | kUSBCDC_busNotAvailable 0x08
## Functions
BYTE | USBCDC_sendData (const BYTE *data, WORD size, BYTE intfNum)
BYTE | USBCDC_receiveData (BYTE *data, WORD size, BYTE intfNum)
BYTE | USBCDC_abortReceive (WORD *size, BYTE intfNum)
BYTE | USBCDC_rejectData (BYTE intfNum)
BYTE | USBCDC_abortSend (WORD *size, BYTE intfNum)
BYTE | USBCDC_intfStatus (BYTE intfNum, WORD *bytesSent, WORD *bytesReceived)
BYTE | USBCDC_bytesInUSBBuffer (BYTE intfNum)
BYTE | USBCDC_handleDataReceived (BYTE intfNum)
BYTE | USBCDC_handleSendCompleted (BYTE intfNum)
BYTE | USBCDC_handleReceiveCompleted (BYTE intfNum)
VOID | usbGetLineCoding (VOID)
VOID | usbSetLineCoding (VOID)
VOID | usbSetControlLineState (VOID)
VOID | Handler_SetLineCoding (VOID)

## Detailed Description

For more information on this file please refer to Programmer’s Guide: MSP430 USB API Stack for CDC/HID http://focus.ti.com/docs/prod/folders/print/msp430f5529.html#toolssoftware.

Author:
  Texas Instruments, Inc

Date:
  2009/06/11

Version:
  1.18 Initial Release

Note:
  Built with IAR Embedded Workbench for MSP430 Version: 5.10.1

Definition in file UsbCdc.h.

## Function Documentation

VOID Handler_SetLineCoding | ( | VOID |  | ) |

Readout the settings (send from usb host) for the second uart

VOID usbGetLineCoding | ( | VOID |  | ) |

Send a packet with the settings of the second uart back to the usb host

VOID usbSetControlLineState | ( | VOID |  | ) |

Function set or reset RTS

VOID usbSetLineCoding | ( | VOID |  | ) |

Prepare EP0 to receive a packet with the settings for the second uart